Bug 966369 - compiz crashes under Xvnc (segmentation fault)
compiz crashes under Xvnc (segmentation fault)
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: compiz (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Owen Taylor
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2013-05-23 03:42 EDT by Peter Åstrand
Modified: 2017-12-06 06:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 06:17:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Core dump (3.24 MB, application/x-gzip)
2013-05-23 03:42 EDT, Peter Åstrand
no flags Details
maps (34.17 KB, text/plain)
2013-10-10 09:25 EDT, Tomas Dolezal
no flags Details
backtrace (23.75 KB, text/plain)
2013-10-10 09:26 EDT, Tomas Dolezal
no flags Details

  None (edit)
Description Peter Åstrand 2013-05-23 03:42:47 EDT
Created attachment 752011 [details]
Core dump

Description of problem:
compiz crashes when executed in a Xvnc compiled with composite

Version-Release number of selected component (if applicable):

How reproducible:
Launch Xvnc session, compiled with composite. We are using TigerVNC. Start terminal. Execute compiz --replace. Result:

compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
Segmentation fault (core dumped)

Core dump attached.
Comment 2 Tomas Dolezal 2013-10-01 09:28:49 EDT
after boot and first log in:
abrt caught it

compiz --ignore-desktop-hints glib gconf gnomecompat

reason: SIGSEGV
Comment 3 Tomas Dolezal 2013-10-10 09:25:50 EDT
Created attachment 810511 [details]

attaching maps from abrt
Comment 4 Tomas Dolezal 2013-10-10 09:26:49 EDT
Created attachment 810513 [details]

attaching backtrace from abrt
Comment 6 RHEL Product and Program Management 2013-10-13 19:34:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 7 Jan Kurik 2017-12-06 06:17:09 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.